import { type DomainEvent } from '@modules/shared';

export class TransferListingDeletedEvent implements DomainEvent {
  readonly eventName = 'transfer_listing.deleted';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly sellerId: string,
  ) {}
}
